%define rname	lasttab
%define version 2.1.1
%define release alt2
%define cid 	\{68E5DD30-A659-4987-99F9-EAF21F9D4140\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Extention for tabs listing and accessing in mostly recent used manner
Summary(ru_RU.KOI8-R):	      ޣ   

License:	MPL 1.1/GPL 2.0/GPL 2.1
Group:		Networking/WWW
URL:		http://timothyhumphrey.name/firefox/

Packager:	Yury Aliaev <mutabor@altlinux.ru>
Source0:	%rname-%version-fx.xpi
Source1:	chrome.manifest

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:	%firefox_name >= 2.0

%description
LastTab modifies Ctrl-Tab to switch to recently selected tabs, rather
than always go from left-to-right. When pressing this key combination a
window appears showing you a list of your tabs, and optionally a preview
of each tab's contents. In addition it puts a tab menu in your tab bar
for easier access to your tabs. It also focuses the most recently
selected tab when a tab is closed or clicked.

%description -l ru_RU.KOI8-R
 LastTab    "Ctrl-Tab",  
      ,    ,
        ( ) 
  .    ,   
        .   
   ,     ,  
  .

%prep
%setup -T -c -n %rname-%version-fx.xpi
unzip -qq %SOURCE0

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
%__cp -a %SOURCE1 %buildroot/%ciddir/

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Aug 14 2008 Yury Aliaev <mutabor@altlinux.ru> 2.1.1-alt2
- rpm bug workaround (sources are set to lowercase when unzipping)

* Thu Aug 07 2008 Yury Aliaev <mutabor@altlinux.org> 2.1.1-alt1
- initial build for Sisyphus
